/* Customer JS */
$(function() {
    $(".branche-logos").owlCarousel({
        items: 1,
        autoWidth: true,
        loop: false,
        dots: false,
        nav: true, // Show next and prev buttons
        navText: ["<span class='fa fa-chevron-left'></span>", "<span class='fa fa-chevron-right'></span>"],
        mouseDrag: false,
        autoplayHoverPause: true,
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 3
            },
            970: {
                items: 5
            },
            1200: {
                items: 6
            }
        }
    });


    $(".employee-carousel").owlCarousel({
        items: 1,
        loop: false,
        dots: false,
        nav: true, // Show next and prev buttons
        navText: ["<span class='fa fa-chevron-left'></span>", "<span class='fa fa-chevron-right'></span>"],
        mouseDrag: false,
        autoplayHoverPause: true,
        autoplay: true,
        margin: 15,
        stagePadding: 15,
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 3
            },
            970: {
                items: 5
            },
            1200: {
                items: 6
            },
            1600: {
                items: 7
            }
        }
    });


    $("#menu-top > li:last-child a").on("click", function(event) {
        event.preventDefault();
        $(".toggle-nav").click();
    });

    var searchwidgetSlider = $(".wrapper .slider-container .carousel").height();
    var sliderContainer = $(".wrapper .slider-container").height();
    var header = $(".wrapper #header").height();

    var offsetHeight = searchwidgetSlider - header - header;
    var offsetHeightBreadcrumb = sliderContainer - header;


    /* 
    $(".home .wrapper #header").affix({
        offset: offsetHeight
    });    
    */

    $(".wrapper .breadcrumb-wrapper").affix({
        offset: offsetHeightBreadcrumb
    });

    function showButton() {
        $(".onlinebieding").show();

        if ($('.wrapper .object_status').length) {
            objectStatus = $(".wrapper .object_status").attr('class');
            objectStatusTrimmed = objectStatus.replace(/object_status\s/g, '');
        } else {
            objectStatusTrimmed = "beschikbaar";
        }

        if (objectStatusTrimmed === "sold") {
            $(".onlinebieding").hide();
        } else if (objectStatusTrimmed === "sold_under_conditions") {
            $(".onlinebieding").hide();
        } else if (objectStatusTrimmed === "new_forrent") {
            $(".onlinebieding").hide();
        } else if (objectStatusTrimmed === "rented") {
            $(".onlinebieding").hide();
        } else if (window.location.href.indexOf("huur/") != -1) {
            $(".onlinebieding").hide();
        } else if (window.location.href.indexOf("rent/") != -1) {
            $(".onlinebieding").hide();
        } else if (window.location.href.indexOf("mieten/") != -1) {
            $(".onlinebieding").hide();
        }
    }

    if ($("body").hasClass("searchdetail")) {
        getListingAddress = $(".searchdetail .wrapper .object_header .obj_sub_address").text();
        getAskingPrice = $(".searchdetail .wrapper .object_header .obj_price").text();

        if ($("body").hasClass("amsterdam")) {
            getListingAddress = $(".searchdetail .table.object_table_details tr:first-child td:last-child").text();
            getAskingPrice = $(".searchdetail .object_header .object_details .object_banners .price span").text();
        }

        listingAddress = getListingAddress.trim();

        if (listingAddress.indexOf(':') > -1) {
            listingAddress = listingAddress.split(':')[1];
        }

        askingPrice = getAskingPrice.trim();
        params = {
            object: listingAddress,
            price: askingPrice
        };
        
        // checkt of special characters in de URL staan en vervangt deze door encoded UTF-8 code
        queryString = $.param(params).replace(/[!'()*]/g, function(c) {
            return '%' + c.charCodeAt(0).toString(16);
        });

        offerURL = "/57-aac8/bod-uitbrengen?" + queryString;

        $(".objects.searchdetail .cta").prepend("<a style='display: none;' class='onlinebieding btn btn-block btn-primary' href='" + offerURL + "'><i class='fa fa-fw fa-gavel'></i> Bod uitbrengen</button>");
        $(".objects.searchdetail .ctabar .container").prepend("<a style='display: none;' class='onlinebieding btn btn-primary' href='" + offerURL + "'><i class='fa fa-fw fa-gavel'></i> Bod uitbrengen</button>");

        if ($("body").hasClass("amsterdam")) {
            $(".objects.searchdetail aside.object_options").prepend("<a style='display: none;' class='onlinebieding btn btn-block btn-primary' href='" + offerURL + "'><i class='fa fa-fw fa-gavel'></i> Bod uitbrengen</button>");
            $(".objects.searchdetail .object_banners").append("<a style='display: none;' class='onlinebieding btn btn-block btn-primary' href='" + offerURL + "'><i class='fa fa-fw fa-gavel'></i> Bod uitbrengen</button>");

        }

        $(".onlinebieding").show();
        showButton();
    }

    function getUrlVars() {
        var vars = {};
        var parts = window.location.href.replace(/[?&]+([^=&]+)=([^&]*)/gi, function(m, key, value) {
            vars[key] = value;
        });
        return vars;
    }

    function getUrlParam(parameter, defaultvalue) {
        var urlparameter = defaultvalue;
        if (window.location.href.indexOf(parameter) > -1) {
            urlparameter = getUrlVars()[parameter];
        }
        return urlparameter;
    }


    if ($(".bodStraatnaam").length) {
        var objAddress = getUrlParam('object', 'Geen straat');
    }
    if ($(".bodVraagprijs").length) {
        var objPrice = getUrlParam('price', 'Geen prijs');
    }


    if ($(".bodStraatnaam").length) {
        var decodeAddress = decodeURIComponent(objAddress);
        $(".bodStraatnaam").text(decodeAddress);
    }
    if ($(".bodVraagprijs").length) {
        var decodePrice = decodeURIComponent(objPrice);
        $(".bodVraagprijs span").text(decodePrice);
    }
});